package inf101.v18.rogue101.items.buff;

import inf101.v18.rogue101.game.Game;
import inf101.v18.rogue101.object.Item;

public class Shield implements BuffItem {
    private final int hp = getMaxHealth();

    @Override
    public int getBuffDefene() {
        return 10;
    }

    @Override
    public int getBuffDamageReduction() {
        return 1;
    }

    @Override
    public int getCurrentHealth() {
        return hp;
    }

    @Override
    public int getDefense() {
        return 0;
    }

    @Override
    public int getMaxHealth() {
        return 150;
    }

    @Override
    public String getName() {
        return "Unknown shield";
    }

    @Override
    public int getSize() {
        return 2;
    }

    @Override
    public String getPrintSymbol() {
        return "\uD83D\uDEE1";
    }

    @Override
    public String getSymbol() {
        return "f";
    }

    @Override
    public int handleDamage(Game game, Item source, int amount) {
        return 0;
    }
}
