package inf101.v18.rogue101.object;

import inf101.v18.gfx.gfxmode.ITurtle;
import inf101.v18.gfx.textmode.BlocksAndBoxes;

/**
 * An objects that works like a wall in every sense, except it can be passed through
 */
public class FakeWall extends Wall {

    @Override
    public boolean draw(ITurtle painter, double w, double h) {
        return false;
    }

    @Override
    public int getMaxHealth() {
        return 1;
    }

    @Override
    public String getName() {
        return "fake wall";
    }

    @Override
    public String getSymbol() {
        return BlocksAndBoxes.BLOCK_HALF;
    }

}
