package inf101.v18.rogue101.items.consumable;

import inf101.v18.rogue101.game.Game;
import inf101.v18.rogue101.object.Item;

/**
 * A consumable that restores 100 health points
 */
public class HealthPotion implements Consumable {

    @Override
    public int hpIncrease() {
        return 100;
    }

    @Override
    public int attackIncrease() {
        return 0;
    }

    @Override
    public int defenseIncrease() {
        return 0;
    }

    @Override
    public int getCurrentHealth() {
        return 0;
    }

    @Override
    public int getDefense() {
        return 0;
    }

    @Override
    public int getMaxHealth() {
        return 0;
    }

    @Override
    public String getName() {
        return "Healing potion";
    }

    @Override
    public int getSize() {
        return 0;
    }

    @Override
    public String getSymbol() {
        return "H";
    }

    @Override
    public int handleDamage(Game game, Item source, int amount) {
        return 0;
    }

}
