package inf101.v18.util.generators;

import inf101.v18.util.Generator;

import java.util.Random;

public abstract class AbstractGenerator<T> implements Generator<T> {
    private static final Random commonRandom = new Random();

    @Override
    public T generate() {
        return generate(commonRandom);
    }

}
